//! # Nostr Client
//!
//! This crate will connect to other relayer or relayers and will subscribe to
//! events or perform any operation that can be done in the protocol.
//!
//! The client will let you connect to a pool of relayers oferring a simple
//! and unified interface to interact with a pool of relayers at the same time.
//!
//! It will also have reconnection logic built-in internally.
#![deny(missing_docs, warnings)]
mod error;
mod pool;
mod relayer;

pub use self::{
    error::Error,
    pool::{Event, Pool},
    relayer::Relayer,
};
